#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-Pygments
Version		:	2.7.2
Release		:	14.4.0.0%{?dist}
Summary		:	A syntax highlighting package written in Python.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.org/project/Pygments

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Pygments is a syntax highlighting package written in Python.

It is a generic syntax highlighter suitable for use in code
hosting, forums, wikis or other applications that need to
prettify source code. Highlights are:

  * a wide range of over 300 languages and other text formats
    is supported
  * special attention is paid to details, increasing quality
    by a fair amount
  * support for new languages and formats are added easily
  * a number of output formats, presently HTML, LaTeX, RTF, SVG,
    all image formats that PIL supports and ANSI sequences
  * it is usable as a command-line tool and as a library


#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

%files			
%defattr(-, root,root, 0755)
%doc AUTHORS LICENSE README.rst
%{_bindir}/pygmentize
%{python3_sitelib}/%{lname}/*
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/


%changelog
